/** 
 * FormValidation (https://formvalidation.io)
 * The best validation library for JavaScript
 * (c) 2013 - 2023 Nguyen Huu Phuoc <me@phuoc.ng>
 *
 * @license https://formvalidation.io/license
 * @package validator-string-length
 * @version 2.0.0
 */

!function(e,t){"object"==typeof exports&&"undefined"!=typeof module?module.exports=t(require("@form-validation/core")):"function"==typeof define&&define.amd?define(["@form-validation/core"],t):((e="undefined"!=typeof globalThis?globalThis:e||self).FormValidation=e.FormValidation||{},e.FormValidation.validators=e.FormValidation.validators||{},e.FormValidation.validators.stringLength=t(e.FormValidation))}(this,(function(e){"use strict";var t=e.utils.format;return function(){return{validate:function(e){var n=Object.assign({},{message:"",trim:!1,utf8Bytes:!1},e.options),a=!0===n.trim||"true"==="".concat(n.trim)?e.value.trim():e.value;if(""===a)return{valid:!0};var i=n.min?"".concat(n.min):"",r=n.max?"".concat(n.max):"",s=n.utf8Bytes?function(e){for(var t=e.length,n=e.length-1;n>=0;n--){var a=e.charCodeAt(n);a>127&&a<=2047?t++:a>2047&&a<=65535&&(t+=2),a>=56320&&a<=57343&&n--}return t}(a):a.length,o=!0,l=e.l10n?n.message||e.l10n.stringLength.default:n.message;switch((i&&s<parseInt(i,10)||r&&s>parseInt(r,10))&&(o=!1),!0){case!!i&&!!r:l=t(e.l10n?n.message||e.l10n.stringLength.between:n.message,[i,r]);break;case!!i:l=t(e.l10n?n.message||e.l10n.stringLength.more:n.message,"".concat(parseInt(i,10)));break;case!!r:l=t(e.l10n?n.message||e.l10n.stringLength.less:n.message,"".concat(parseInt(r,10)))}return{message:l,valid:o}}}}}));
